camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CAMEL-7816) Feature validation of camel-spring-integration is failing
Date Sun, 30 Nov 2014 14:17:12 GMT

     [ https://issues.apache.org/jira/browse/CAMEL-7816?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Claus Ibsen updated CAMEL-7816:
-------------------------------
    Issue Type: Task  (was: Bug)

> Feature validation of camel-spring-integration is failing
> ---------------------------------------------------------
>
>                 Key: CAMEL-7816
>                 URL: https://issues.apache.org/jira/browse/CAMEL-7816
>             Project: Camel
>          Issue Type: Task
>          Components: camel-spring-integration, osgi
>    Affects Versions: 2.15.0
>            Reporter: Christian Müller
>
> After upgrading to Spring 4, the feature validation of camel-spring-integration is failing:
> {noformat}
> cmueller$ mvn install -Pvalidate
> ...
> [WARNING] Failed to validate feature camel-spring-integration
> [WARNING] No export found to match org.springframework.expression;version="[3.0.7, 4.0.0)"
(imported by mvn:org.springframework.integration/spring-integration-core/2.2.6.RELEASE)
> [WARNING] No export found to match org.springframework.expression.spel;version="[3.0.7,
4.0.0)" (imported by mvn:org.springframework.integration/spring-integration-core/2.2.6.RELEASE)
> [WARNING] No export found to match org.springframework.core.convert;version="[3.0.7,
4.0.0)" (imported by mvn:org.springframework.integration/spring-integration-core/2.2.6.RELEASE)
> [WARNING] No export found to match org.springframework.expression.spel.standard;version="[3.0.7,
4.0.0)" (imported by mvn:org.springframework.integration/spring-integration-core/2.2.6.RELEASE)
> [WARNING] No export found to match org.springframework.core.convert.converter;version="[3.0.7,
4.0.0)" (imported by mvn:org.springframework.integration/spring-integration-core/2.2.6.RELEASE)
> [WARNING] No export found to match org.springframework.transaction;version="[3.0.7, 4.0.0)"
(imported by mvn:org.springframework.integration/spring-integration-core/2.2.6.RELEASE)
> [WARNING] No export found to match org.springframework.core.serializer;version="[3.0.7,
4.0.0)" (imported by mvn:org.springframework.integration/spring-integration-core/2.2.6.RELEASE)
> [WARNING] No export found to match org.springframework.core.serializer.support;version="[3.0.7,
4.0.0)" (imported by mvn:org.springframework.integration/spring-integration-core/2.2.6.RELEASE)
> [WARNING] No export found to match org.springframework.expression.common;version="[3.0.7,
4.0.0)" (imported by mvn:org.springframework.integration/spring-integration-core/2.2.6.RELEASE)
> [WARNING] No export found to match org.springframework.core.convert.support;version="[3.0.7,
4.0.0)" (imported by mvn:org.springframework.integration/spring-integration-core/2.2.6.RELEASE)
> [WARNING] No export found to match org.springframework.transaction.support;version="[3.0.7,
4.0.0)" (imported by mvn:org.springframework.integration/spring-integration-core/2.2.6.RELEASE)
> [WARNING] No export found to match org.springframework.expression.spel.support;version="[3.0.7,
4.0.0)" (imported by mvn:org.springframework.integration/spring-integration-core/2.2.6.RELEASE)
> [WARNING] No export found to match org.springframework.transaction.interceptor;version="[3.0.7,
4.0.0)" (imported by mvn:org.springframework.integration/spring-integration-core/2.2.6.RELEASE)
> [WARNING] No export found to match org.springframework.context.expression;version="[3.0.7,
4.0.0)" (imported by mvn:org.springframework.integration/spring-integration-core/2.2.6.RELEASE)
> [INFO] ------------------------------------------------------------------------
> [INFO] BUILD FAILURE
> [INFO] ------------------------------------------------------------------------
> {noformat}
> Upgrading to version 4.0.4.RELEASE (which is using Spring 4) isn't an option at present,
because it's not an OSGI bundle and there is no OSGI bundle from the SMX guys yet.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message